com.trendmicro.ds.loginspection.rest.object

## Class CounterLogInspectionRuleElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.util.CounterElement
  - - com.trendmicro.ds.loginspection.rest.object.CounterLogInspectionRuleElement

-     public class CounterLogInspectionRuleElement
      extends CounterElement

  A placeholder to store Log Inspection rules for RESTful response

- - ### Field Summary

    - ### Fields inherited from class com.trendmicro.ds.platform.rest.object.util.CounterElement

      `description, extraValue, linkText, percentOfTotal, percentOfValue, previousValue, text, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterLogInspectionRuleElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getLogInspectionRuleID()` Get the RuleID of detected Log Inspection
    `void` | `setLogInspectionRuleID(java.lang.Integer logInspectionRuleID)` Set the RuleID of detected Log Inspection

    - ### Methods inherited from class com.trendmicro.ds.platform.rest.object.util.CounterElement

      `getDescription, getExtraValue, getLinkText, getPercentOfTotal, getPercentOfValue, getPreviousValue, getText, getValue, setDescription, setExtraValue, setLinkText, setPercentOfTotal, setPercentOfValue, setPreviousValue, setText, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CounterLogInspectionRuleElement

          public CounterLogInspectionRuleElement()

  - ### Method Detail

    - #### getLogInspectionRuleID

          public java.lang.Integer getLogInspectionRuleID()

      Get the RuleID of detected Log Inspection
      Returns:
        RuleID of detected Log Inspection

    - #### setLogInspectionRuleID

          public void setLogInspectionRuleID(java.lang.Integer logInspectionRuleID)

      Set the RuleID of detected Log Inspection
      Parameters:
        `logInspectionRuleID` - of detected Log Inspection

Copyright © 2015 Trend Micro Inc. All Rights Reserved.